


{% macro description(node) %}
        <p>
        {%for elt in node.children.by_class("Text") %}
            {{ elt.text }}
        {%endfor%}
        </p>
        <ul>
        {%for elt in node.children.by_class("Url") %}
            <a href="{{ elt.text}}"><li>{{ elt.name }}</li></a>
        {%endfor%}
        </ul>
{% endmacro %}

{% macro code(node) %}

        <h1>{{ node.name }}</h1>
        {{ description(node) }}
<div class="w3-row" >
    <div class="w3-col m6 l6" >



    </div>


        {%for elt in node.children.by_class("Function") %}
        <div class="w3-col m6 l6" >
            <h5>function - {{ elt.name }}</h5>
                {{ description(elt) }}
            
    </div>
        {%endfor%}



</div>
<div class="w3-row" >
{%for child in node.children.by_class("Class") %}
<div class="w3-col m6 l6" >
    <h2>{{ child.name }}</h2>
    {{ description(child) }}

    <ul>
    {%for elt in child.children.by_class("Attribute") %}
        <li>attr : {{ elt.name }}</li>
    {%endfor%}
    </ul>
    <ul>
    {%for elt in child.children.by_class("Method") %}
        <li>f : {{ elt.name }}
                {{ description(elt) }}
</li>
    {%endfor%}
    </ul>

</div>
{%endfor%}



</div>

{%for elt in node.children.by_class("Module") %}
{{ code(node.root) }}
{%endfor%}


{% endmacro %}

{% macro menu(node) %}

        <ul class="uk-nav-default uk-nav-parent-icon uk-margin-medium" uk-nav>
        {%for elt in node.children.by_class("Module") %}

                            <li class="uk-parent">
                                <a href="#">{{ elt.name }}</a>
                                <ul class="uk-nav-sub">
                                {%for child in elt.children.by_class("Class") %}
                                    <li><a href="#">{{ child.name }}</a></li>
                                {%endfor%}
                                </ul>
                            </li>
        {%endfor%}                   
        </ul>

{% endmacro %}










<div uk-grid>






                <div id="menu" class="uk-width-expand@m">
                <div class="uk-container">
                <h1>Namespaces</h1>
                        <div class="uk-margin-medium-bottom">
                            <form class="uk-search uk-search-default uk-width-1-1">
                                <span uk-search-icon></span>
                                <input class="uk-search-input" type="search" placeholder="Search">
                            </form>
                        </div>

                        {{ menu(node.root) }}

                </div>
                </div>












<div class="uk-width-3-4@m">
<div class="uk-section uk-section-default uk-section-small uk-padding-remove-top">
<div class="uk-container">

<ul uk-accordion>
   {% for child in node.children %}
    <li classX="uk-open">
               
        <a class="uk-accordion-title" href="#"> <h2>{{ child.name }}</h2></a>
                <div class="uk-accordion-content">
                <div class="uk-child-width-1-3@m uk-grid-match" uk-grid>

                    {% for child2 in child.children %}
                    <div>
                        <div class="uk-card uk-card-secondary uk-card-hover">
                            <div class="uk-card-badge">Hot</div>
                            <div class="uk-card-body">
                                <h3 class="uk-card-title">{{ child2.name }}</h3>
                                <p>Lorem ipsum <a href="#">dolor</a>   tempor incididunt ut labore et dolore magna aliqua.</p>
                                <p uk-margin>
                                    <a class="uk-button uk-button-default"  onclick='load_url("content","/store/install/{{ child.name }}/{{ child2.name }}");'>Install</a>
                                    <a class="uk-button uk-button-text uk-margin-small-left" href="#">infos</a>
                                    <a class="uk-button uk-button-text uk-margin-small-left" href="#">code</a>
                                </p>
                            </div>
                       </div>
                    </div>
                    {% endfor %}

            </div>
            </div>
    </li>
    {% endfor %}
</ul>

</div>
</div>
</div>

<hr class="uk-margin-medium">

 

</div>



